#!/usr/bin/perl -w
# modified from mt-load.cgi

use strict;

my($MT_DIR);
BEGIN {
    if ($0 =~ m!(.*[/\\])!) {
        $MT_DIR = $1;
    } else {
        $MT_DIR = './';
    }
    unshift @INC, $MT_DIR . 'lib';
    unshift @INC, $MT_DIR . 'extlib';
}

local $| = 1;

print "Content-Type: text/html\n\n";
print "<html><body><pre>\n\n";

use File::Spec;

eval {

require MT;
my $mt = MT->new( Config => $MT_DIR . 'mt.cfg', Directory => $MT_DIR )
    or die MT->errstr;

if ($mt->{cfg}->ObjectDriver =~ /^DBI::(.*)$/) {
    my $type = $1;
    my $dbh = MT::Object->driver->{dbh};
    my $schema = File::Spec->catfile($MT_DIR, 'bdb', 
        "bayesian_" . $type . '.dump');
    open FH, $schema or die "Can't open schema file '$schema': $!";
    my $ddl;
    { local $/; $ddl = <FH> }
    close FH;
    my @stmts = split /;/, $ddl;
    print "Loading database schema...\n\n";
    for my $stmt (@stmts) {
        $stmt =~ s!^\s*!!;
        $stmt =~ s!\s*$!!;
        next unless $stmt =~ /\S/;
        $dbh->do($stmt) or die $dbh->errstr;
    }
} else {
    print <<RUNNINGDBM;
You are using DBM so there is no need to initalized the database.
</pre></body></html>
RUNNINGDBM
exit;
}

};

if ($@) {
    print <<__ERROR__;

An error has occured:

$@
__ERROR__
} else {
    print <<COMPLETED;

Done loading bayesian data into the database! All went well.
COMPLETED
}

print "</pre></body></html>\n";
