#!/usr/bin/perl -w
#
# Copyright (c) 2003, James Seng. (http://james.seng.cc/)
# This code is released under the Artistic License.

use strict;

my($MT_DIR);
BEGIN {
  if ($0 =~ m!(.*[/\\])!) {
    $MT_DIR = $1;
  } else {
    $MT_DIR = './';
  }
  unshift @INC, $MT_DIR . 'lib';
  unshift @INC, $MT_DIR . 'extlib';
}

eval {
    require MT::App::BayesianTrain;
	my $app = MT::App::BayesianTrain->new ( Config => $MT_DIR . 'mt.cfg',
      				     Directory => $MT_DIR )
    or die MT::App::BayesianTrain->errstr;
    local $SIG{__WARN__} = sub { $app->trace ($_[0]) };
    $app->run;
};

if ($@) {
  print "Content-Type: text/html\n\n";
  print "An error occurred: $@";
}
